/*
 * File: TrainerControl.cpp
 *
 * Description: TrainerControl class implementation
 *
 * Author: UI-AI 3D Robocup Soccer Team <ui_3dsoccer@eng.ui.ac.ir>, (c) 2007,2008
 *
 */

/*
    Copyright (C) 2009  UI-AI 3D Team

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include "TrainerControl.h"

TrainerControl::TrainerControl()
{
//    connection.Connect(rcss::net::Addr(3200, "127.0.0.1"));
}

TrainerControl::~TrainerControl()
{
}

void TrainerControl::Read()
{
    connection.Receive();
}

void TrainerControl::KickOff()
{
    connection.Send("(kickOff Left)");
}

void TrainerControl::MoveAgent()
{
    connection.Send("(agent (unum 1)(team Left)(pos -5 -5 5))");
}
