#!/bin/sh
if [[ $1 == "" || $2 == "" ]]; then
	echo "Wrong parameters! executable name and num of agents should be given!"
	exit 1;
fi

simspark&
sleep 1

if [[ ! -d logs ]]; then
	mkdir logs;
fi

NUM_AGENTS=$2
AGENT_EXEC=$1
shift 2
# running agents
for ((i=0; i < $NUM_AGENTS; i++)) do
	echo
	echo
	echo Running agent number $i
	$AGENT_EXEC --logfile logs/log$((i+1)) $@ &
	sleep 1
done
